<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>

<?php
 $mes= $_GET['mes'];
 $ano= $_GET['ano'];

 if($mes == ""){
	 $mes= date('m');
 }

 $proximo_mes = $mes+1;
 $anterior_mes = $mes-1;
 $ano_anterior =  $_GET['ano'];
 $ano_proximo =  $_GET['ano'];


 
 if($ano == ""){
	$ano =  date('Y');
 $ano_anterior =  date('Y');
 $ano_proximo =  date('Y');	
 }
 
 
 if($mes == 1)  {
 $dias=31;
 $nome="Janeiro";

 $proximo_mes = 2;
 $anterior_mes = 12;
 $ano_anterior =  $_GET['ano'] - 1;
 $ano_proximo =  $_GET['ano'];

 }
 if($mes == 2)  {
     if($ano == "2020"){
    $dias=29;   
    }else{     
    $dias=28;
    }
 $nome="Fevereiro";
 }
 if($mes == 3)  {
 $dias=31;
 $nome="Março";
 }
 if($mes == 4)  {
 $dias=30;
 $nome="Abril";
 }
 if($mes == 5)  {
 $dias=31;
 $nome="Maio";
 }
 if($mes == 6)  {
 $dias=30;
 $nome="Junho";
 }
 if($mes == 7)  {
 $dias=31;
 $nome="Julho";
 }
 if($mes == 8)  {
 $dias=31;
 $nome="Agosto";
 }
 if($mes == 9)  {
 $dias=30;
 $nome="Setembro";
 }
 if($mes == 10) {
 $dias=31;
 $nome="Outubro";
 }
 if($mes == 11) {
 $dias=30;
 $nome="Novembro";
 }
 if($mes == 12) {
 $dias=31;
 $nome="Dezembro";
 
 $proximo_mes = 1;
 $anterior_mes = 11;
 $ano_anterior =  $_GET['ano'];
 $ano_proximo =  $_GET['ano'] + 1;
 
 }
 
 
 
?>
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Agenda de Estúdio
            <small>listagem de agenda</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="agenda_estudio.php">Agenda Estúdio</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->

              <div class="box">
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tbody>
    <tr>
      <td><h3 class="box-title">Estúdio - <?php  echo "<strong>" .$nome . " de " . $ano . "</strong>"; ?></h3></td>
      <td width="100"><button type="button" class="BoxVerde" onclick="location.href='agenda_estudio.php?mes=<?php echo date('m');?>&ano=<?php echo $ano;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>';">Mês Atual</button></td>      
      <td width="100"><button type="button" class="BoxVerde" onclick="location.href='agenda_estudio.php?mes=<?php echo $anterior_mes;?>&ano=<?php echo $ano_anterior;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>';">Mês Anterior</button></td>      
      <td width="100"><button type="button" class="BoxVerde" onclick="location.href='agenda_estudio.php?mes=<?php echo $proximo_mes;?>&ano=<?php echo $ano_proximo;?>&idcliente=<?php echo $_GET['idcliente'];?>&idatendimento=<?php echo $_GET['idatendimento'];?>';">Próximo Mês</button></td>
    </tr>
  </tbody>
</table>

                  
                <div class="box-body">
<table width="100%" border="0" cellspacing="4" cellpadding="0" style="border: 1px solid #ABABAB;" bgcolor="#FFFFFF">
<tr bgcolor="#C7C7C7">
<td height="30"><center><strong>Domingo</strong></center></td>
<td height="30"><center><strong>Segunda</strong></center></td>
<td height="30"><center><strong>Terça</strong></center></td>
<td height="30"><center><strong>Quarta</strong></center></td>
<td height="30"><center><strong>Quinta</strong></center></td>
<td height="30"><center><strong>Sexta</strong></center></td>
<td height="30"><center><strong>Sábado</strong></center></td>
</tr>
<?php
 echo "<tr>";
 for($i=1;$i<=$dias;$i++) {
 $diadasemana = date("w",mktime(0,0,0,$mes,$i,$ano));
 $cont = 0;
 if($i == 1) {
 while($cont < $diadasemana) {
 echo "<td></td>";
 $cont++;
 }
 }
if($i < 10){
	$i = "0".$i;
}
$data_atual = $ano."-". $mes ."-".$i;
$Seleciona = Seleciona("atendimentos_agenciae", "WHERE dataestudio='$data_atual'", "ORDER BY horainicioestudio ASC LIMIT 0,1") or die(mysql_error());
$SelecionaGeral = Seleciona("atendimentos_agenciae", "WHERE dataestudio='$data_atual'", "ORDER BY horainicioestudio ASC") or die(mysql_error());
$TotalAgenda = mysql_num_rows($SelecionaGeral);
if($TotalAgenda == 0){
	$cor = "#DFFFDF";
}else{
	$cor = "#FFE1E1";
}
$data_hoje = date('Y-m-d');

//VERIFICA FERIADO * ERICA 10/02/2017

$SelecionaFeriado = Seleciona("feriados", "WHERE data_feriado='$data_atual'", "");
$TotalFeriado = mysql_num_rows($SelecionaFeriado);

if($data_hoje == $data_atual){
	$cor = "#DFEFFF";	
}

if($TotalFeriado != "0"){
	$cor = "#CC99FF";
}
//echo $data_atual . " - " . $data_hoje . "<br>";
echo "<td width='140' height='150' valign='top' bgcolor='".$cor."' style='border: 1px solid black'>";
//echo "<button type='button' class='BoxVerde' style='float:right;' onclick=location.href='manutencao_festas.php&data_agenda=".$data_atual."';>Novo</button> ";
echo "<strong style='padding-left: 75px; font-size: 12px'>".$i . "/" . $mes . "/" .$ano . "</strong><br>";

//VERIFICA FERIADO

if($TotalFeriado == "0"){

//SELECIONA ATENDIMENTOS

while($linha = mysql_fetch_array($Seleciona)){
$selecionar_clientes = Seleciona("clientes", "WHERE idcliente='".$linha['idcliente']."'", "") or die(mysql_error());
while($linha_clientes=mysql_fetch_array($selecionar_clientes)){
	
$responsavel = $linha_clientes['nome']; 

}
 echo "<strong>Cód. " . $linha['idatendimento'] . "</strong> <br>" . $linha['aniversariante'] . " - Hora: " . $linha['horainicioestudio'] . "<br><strong>Responsável: " . $responsavel . "</strong><br><br>";
}
echo '<a class="fancybox fancybox.iframe" href="estudio_agenda.php?data_atual='.$data_atual.'&idatendimento='.$_GET['idatendimento'].'&idcliente='.$_GET['idcliente'].'" style="color: #000000; font-weight: bold; font-size: 12px; ">';
echo "Total de Estúdio: " . $TotalAgenda;
echo "</a>";
}else{
	echo "<br><br><br><br><strong style='padding-left: 45px;'> DATA INDISPONIVEL </strong>";	
}

 echo "</td>";
 if($diadasemana == 6) {
 echo "</tr>";
 echo "<tr>";
 $responsavel = "";
 }
 }
 echo "</tr>";
 ?>
</table>
</div>
</div>
</div>
</section>
			</div>			
<?php require_once('rodape.php');?>					